package com.ruoyi.common.core.domain.entity;

import lombok.Data;

import java.math.BigDecimal;

/**
 * 用户对象 et_user
 *
 * @author qiuzhenzhao
 */
@Data
public class EUserVO extends EUser
{

    /** 累计提现金额 */
    private BigDecimal totalWithdrawAmount = new BigDecimal("0.00");

    /** 可提现金额 */
    private BigDecimal withdrawalAmount;

    /** 最后账变描述 */
    private String lastChangeBalanceDesc;

}
