package com.ruoyi.system.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 功能对象 e_function
 *
 * @author ruoyi
 * @date 2024-09-26
 */
@Data
public class EFunction extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 功能id */
    private Long functionId;

    /** 车型id */
    @Excel(name = "车型id")
    private Long modelId;

    /** 功能 */
    @Excel(name = "功能")
    private String function;

}
