package com.ruoyi.system.intention.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 合作意向对象 e_intention
 *
 * @author qzz
 * @date 2024-11-21
 */
@Data
public class EIntention extends BaseEntity{

    private static final long serialVersionUID = 1L;

    private Long intentionId;

    @Excel(name = "电话")
    @ApiModelProperty("电话")
    private String phone;

    @Excel(name = "姓名")
    @ApiModelProperty("姓名")
    private String name;

    @Excel(name = "预留信息")
    @ApiModelProperty("预留信息")
    private String reserveInfo;

}
