package com.ruoyi.system.iot.domain.response;

import com.ruoyi.system.iot.enums.IotHttpStatus;
import lombok.Data;

import java.util.Objects;

/**
 * 命令下发响应
 * @author wjh
 * 2024/3/20
 */
@Data
public class CommandResponse extends BaseResponse {
    private Object data;
    private String cmdUuid;
    private String cmdResp;

    public boolean isSuccess() {
        return Objects.equals(IotHttpStatus.SUCCESS.getCode(), this.getCode());
    }

}
