package com.ruoyi.system.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 反馈意见对象 e_feedback
 *
 * @author qzz
 * @date 2024-10-18
 */
@Data
public class EFeedback extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 反馈ID */
    @Excel(name = "反馈ID")
    private Long feedbackId;

    /** 反馈类型 */
    @Excel(name = "反馈类型")
    private String type;

    /** 问题描述 */
    @Excel(name = "问题描述")
    private String issueDescription;

    /** 上传图片 */
    @Excel(name = "上传图片")
    private String uploadedImage;

    /** 联系方式 */
    @Excel(name = "联系方式")
    private String contactInfo;

}
