package com.ruoyi.system.domain.rule;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 收费模板对象 e_fee_rule
 *
 * @author qzz
 * @date 2024-11-20
 */
@Data
public class EFeeRule extends BaseEntity{

    private static final long serialVersionUID = 1L;

    private Long ruleId;

    @Excel(name = "套餐：1-按小时计费；2-自定义模板")
    @ApiModelProperty("套餐")
    private String mode;

    @Excel(name = "小时")
    @ApiModelProperty("小时")
    private Integer hours;

    @Excel(name = "售价")
    @ApiModelProperty("售价")
    private BigDecimal price;

    @Excel(name = "说明")
    @ApiModelProperty("说明")
    private String explain;

    private String delFlag;

    @Excel(name = "商户id")
    @ApiModelProperty("商户id")
    private Long merchantId;

    @Excel(name = "房间id")
    @ApiModelProperty("房间id")
    private Long roomId;

}
