package com.ruoyi.system.order.domain;

import com.ruoyi.common.core.domain.entity.EUserVO;
import com.ruoyi.system.bonus.domain.Bonus;
import com.ruoyi.system.domain.room.ERoomVO;
import com.ruoyi.system.domain.rule.EFeeRuleVO;
import com.ruoyi.system.domain.store.EStoreVO;
import com.ruoyi.system.order.domain.dto.EOrderDTO;
import lombok.Data;

import java.util.List;

@Data
public class EOrderBO {

    // 原始参数
    private EOrderDTO params;

    // 订单
    private EOrderVO order;

    //app用户
    private EUserVO user;

    //商户
    private EUserVO merchant;

    //房间
    private ERoomVO room;

    //套餐
    private EFeeRuleVO feeRule;

    // 店铺
    private EStoreVO store;

    // 分成详情
    List<Bonus>  bonusList;
}
