package com.ruoyi.system.order.domain;

import lombok.Data;

@Data
public class EOrderQuery extends EOrder {

    /** 开始时间*/
    private String startTime;

    /** 结束时间*/
    private String endTime;

    /** 手机号*/
    private String phone;

    /** jscode*/
    private String jscode;

    /** 状态列表 */
    private String[] statusList;

    /** 类型 1-预定单，2-续订单*/
    private String type;

    /** 关键字: 手机号或订单号 */
    private String keywords;

}
